/eth/v1/validator/duties/proposer/{epoch}

Get block proposers duties

Get block proposers duties

get
/eth/v1/validator/duties/proposer/{epoch}

Request beacon node to provide all validators that are scheduled to propose a block in the given epoch. Duties should only need to be checked once per epoch, however a chain reorganization could occur that results in a change of duties. For full safety, you should monitor head events and confirm the dependent root in this response matches:

  • event.current_duty_dependent_root when compute_epoch_at_slot(event.slot) == epoch
  • event.block otherwise

The dependent_root value is get_block_root_at_slot(state, compute_start_slot_at_epoch(epoch) - 1) or the genesis block root in the case of underflow.

Path parameters
epochstringRequiredExample: 1
Responses
chevron-right
200

Success response

application/json
dependent_rootall ofOptional
stringOptionalExample: 0xcf8e0d4e9587369b2301d0790347320302cc0943d5a1884560367e8208d920f2Pattern: ^0x[a-fA-F0-9]{64}$
and
anyOptional

The block root that this response is dependent on.

execution_optimisticall ofOptional
booleanOptional
and
anyOptionalExample: false
and
anyOptional

True if the response references an unverified execution payload. Optimistic information may be invalidated at a later time. If the field is not present, assume the False value.

get
/eth/v1/validator/duties/proposer/{epoch}

curl -X GET \
    "https://mainnet.ethereum.validationcloud.io/v1/<YOUR_API_KEY_HERE>/eth/v1/validator/duties/proposer/1" \
    -H "Content-Type: application/json"

Last updated

Was this helpful?